<!DOCTYPE html>
<html lang="en">
<head>
	<meta charset="UTF-8">
	<meta name="viewport" content="width=device-width, initial-scale=1.0">
	<!-- CSS 
	<style>
		.center{
			display: block;
			margin-left: auto;
			margin-right: auto;
			width: 50%;
		}
	</style>-->
	<title>HTML Attributes and Hyperlink</title>
</head>
<body>
	<!-- 
		an HTML Attribute changes/modifies the default browser of an element

		by default, text is left-aligned. By adding the align attribute, we will be able to change the alignment of our heading's text.

		attributes are added in the opening tag of an element.

			Syntax: 
			<tagName attribute="value">text</tagName> 
	-->
	<h1 align="center">HTML Attributes and Links</h1>
	<h3 align="right">Modifiers of Element Behavior</h3>
	<!-- type attribute added to an ol can change the default numbered list to the desired type -->
	<!-- start attribute can determin which number we can start in our odered list -->
	<!-- reverse attribute changes the order of the numbering -->

	<ol type= "a" start= "6">
		<li>Michael Jordan</li>
		<li>Kobe Bryant</li>
		<li>Lebron James</li>
	</ol>
	<ol reversed>
		<li>Michael Jordan</li>
		<li>Kobe Bryant</li>
		<li>Lebron James</li>
	</ol>

	<!--  
		tags which don't need closing tags are called self-closing tags. These tags usually do not contain other elements.

		img tag
			- self-closing tag and usually comes with a src attribute or source

			src attribute allows our image tag to locate the file to be displayed. (.jpg, .png, .gif, .svg)

			- relative path is added to locate the image/resouces which is on the same machine/server as the html file

				./ means in the same folder
				../ means one folder higher

			- alt attribute
				- added to images to be able to add a caption which will be shown in the event that the image cannot be displayed
			- height and width
				- used to modify the image dimensions based on pixel

				Note: for self closing tags, add '/' before the end brace.
	-->

	<img src="./images/html5.png" class="center" height="200" width="200" alt="html logo">
	<img src="./images/onepiece.png" height="200" width="200" alt="one piece photo">

	<!-- Mini-Activity 
		add horizontal rule
		add an h1 with your name
		Download and display your own photo using image tag
		add h3 with the text "Full Stack Web Developer"

		Add an image tag in our html to display the image
			- add src attribute with a relative path to locate your profile pic
			- add height and width attribute and resize the photo to 300 x 300
			- add alt attribute to add caption to the image
			add a horizontal rule
	-->
<hr />
<h1>Glenn Perey</h1>
<img src="./images/gm.jpg" height="300" width="300" alt="glenn"/>
<h3>Full Stack Web Developer</h3>
<hr />

<!--  
	absolute path
		- added to locate an image/resource which is not on the same machine/server as the html file
-->

<img src="https://cdn.pixabay.com/photo/2015/04/23/22/00/tree-736885__480.jpg" alt="tree-sunset"/>

<h2>Links</h2>
<!-- 
	Links
		- used to be able to go to other html or web pages

		a 	- anchor tag
			- allows us to create a link with a relative or absolute links
				- relative links are links to pages which are on the same machine or server as the current page
				- absolut links are links to pages which are on another machine or server as the current page

		href	- hypertext reference
				- an attribute to be added to an anchor tag to determine the location of the destination page

 -->

 	<a>Am I a Link?</a>
 	<!-- absolute link -->
 	<a href="https://zuitt.co">Go to Zuitt</a>
 	<!-- relative link -->
 	<a href="./link.html">Go to Link Page</a>
</body>
</html>